Subject: Re: Exception/Catch

From: Jan Wielemaker <[email-masked]>
Date: Wed, 6 Sep 2000 09:53:20 +0200

> 
> If a prolog 'catch' predicate catches an exception and calls another
> predicate which in turn has a 'catch' predicate. Then, if this catch
> predicate throws an exception, that exception is not being caught by the
> 'catch'??
> Is this a bug??

It sure is.  If you play with the sources, please fetch the latest src/pl-wam.c
from the CVS server.  If you are using the windows binary and can't easily 
work around, please let met know and I'll bake a new version.

	Cheers --- Jan